#!/bin/sh
if [ -z "$4" ]; then
	echo armv6j-do-kernel-bump.sh OLDVER NEWVER NAS_PATCHES_VER NAS_CONFIGS_VER
	exit
fi

OLD=$1
NEW=$2
VER=$3
CNF=$4
BASEDIR=$(dirname $0)
source $BASEDIR/armv6j-kernels
sourcenames="sys-kernel/go-sources"

echo "Bump armv5tel kernels"
for package in ${PACKAGES}; do
	name=$(echo ${package} | cut -d/ -f2)
	sourcename=$(echo ${package} | grep sources)
	echo "source pkg ${sourcename}"
	sourcenames="${sourcenames} ${sourcename}"
	cp ${package}/${name}-${OLD}.ebuild ${package}/${name}-${OLD}.ebuild.old
	sed -e "s:^K_NASPATCHES_VER=.*:K_NASPATCHES_VER=\"${VER}\":" -e "s:^K_NASCONFIGS_VER=.*:K_NASCONFIGS_VER=\"${CNF}\":" ${package}/${name}-${OLD}.ebuild.old > ${package}/${name}-${NEW}.ebuild
	rm -f ${package}/${name}-${OLD}.ebuild.old
	git add ${package}/${name}-${NEW}.ebuild
	ebuild ${package}/${name}-${NEW}.ebuild manifest
done

echo "but still add the armv5tel source packages to the virtual"
source $BASEDIR/armv5tel-kernels
for package in ${PACKAGES}; do
	sourcename=$(echo ${package} | grep sources)
	echo "source pkg ${sourcename}"
	sourcenames="${sourcenames} ${sourcename}"
done

echo "but still add the armv7a source packages to the virtual"
source $BASEDIR/armv7a-kernels
for package in ${PACKAGES}; do
	sourcename=$(echo ${package} | grep sources)
	echo "source pkg ${sourcename}"
	sourcenames="${sourcenames} ${sourcename}"
done

sed -e "s:^SABLINK_SOURCES=.*:SABLINK_SOURCES=\"${sourcenames}\":"  -i virtual/linux-sources/linux-sources-0.ebuild
	ebuild virtual/linux-sources/linux-sources-0.ebuild manifest
